package com.ruoyi.framework.recovery.service;

import java.util.List;
import com.ruoyi.framework.recovery.domain.WxLottery;

/**
 * 微信抽奖Service接口
 * 
 * @author jin
 * @date 2024-12-17
 */
public interface IWxLotteryService 
{
    /**
     * 查询微信抽奖
     * 
     * @param id 微信抽奖主键
     * @return 微信抽奖
     */
    public WxLottery selectWxLotteryById(Long id);

    /**
     * 查询微信抽奖列表
     * 
     * @param wxLottery 微信抽奖
     * @return 微信抽奖集合
     */
    public List<WxLottery> selectWxLotteryList(WxLottery wxLottery);

    /**
     * 新增微信抽奖
     * 
     * @param wxLottery 微信抽奖
     * @return 结果
     */
    public int insertWxLottery(WxLottery wxLottery);

    /**
     * 修改微信抽奖
     * 
     * @param wxLottery 微信抽奖
     * @return 结果
     */
    public int updateWxLottery(WxLottery wxLottery);

    /**
     * 批量删除微信抽奖
     * 
     * @param ids 需要删除的微信抽奖主键集合
     * @return 结果
     */
    public int deleteWxLotteryByIds(Long[] ids);

    /**
     * 删除微信抽奖信息
     * 
     * @param id 微信抽奖主键
     * @return 结果
     */
    public int deleteWxLotteryById(Long id);
}
